=== debian/changelog ===
bpftune (0.0~git20241205.2a8d043-1) unstable; urgency=medium

  * Initial release. (Closes: #1087756)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 12 Dec 2024 12:56:12 +0000
