=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export libdir=lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@

clean:
	dh $@
	rm -f src/*.plist

override_dh_auto_test:
	# no test for now, needs root and more magic.

override_dh_auto_install:
	dh_auto_install
	for sopath in $$(find debian -name 'libbpftune.so'); do \
		ln -sf $$(basename $$sopath.*) $$sopath ; \
	done
