=== src/Makefile ===
--- 
+++ 
@@ -27,9 +27,10 @@
 LLVM_STRIP ?= llvm-strip
 BPFTOOL ?= bpftool
 BPF_INCLUDE := /usr/include
+BPF_LOCAL_INCLUDE := /usr/local/include
 BPF_CFLAGS := -g -fno-stack-protector -Wall
 NL_INCLUDE := /usr/include/libnl3
-INCLUDES := -I../include -I$(BPF_INCLUDE) -I$(NL_INCLUDE) -I../include/uapi
+INCLUDES := -I../include -I$(BPF_INCLUDE) -I$(BPF_LOCAL_INCLUDE) -I$(NL_INCLUDE) -I../include/uapi
 INSTALL ?= install
 
 DESTDIR ?= /
@@ -115,6 +116,7 @@
 ifeq ($(GCC_BPF),)
 all: analyze $(OPATH) $(OPATH)bpftune $(TUNER_LIBS)
 else
+BPF_CFLAGS += -std=gnu17
 all: $(OPATH) $(OPATH)bpftune $(TUNER_LIBS)
 endif
 
@@ -193,7 +195,7 @@
 else
 GCC_BPF_FLAGS := -g -O2 \
 	$(BPF_CFLAGS) -D__TARGET_ARCH_$(SRCARCH) \
-	-gbtf -mcpu=v3 -Wno-error=attributes \
+	-gbtf -mcpu=v3 -mco-re -Wno-error=attributes \
 	-Wno-error=address-of-packed-member \
 	-Wno-compare-distinct-pointer-types \
 	$(INCLUDES)
