=== test/Makefile ===
--- 
+++ 
@@ -24,10 +24,12 @@
 		sample_test sample_legacy_test \
 		strategy_test strategy_legacy_test \
 		rollback_test rollback_legacy_test \
+		query_test \
 		many_netns_test many_netns_legacy_test \
 		podman_globalonly_test podman_globalonly_legacy_test \
 		sysctl_test sysctl_legacy_test sysctl_netns_test \
 		netns_test netns_legacy_test \
+		file_download_test file_download_legacy_test \
 		budget_test \
 		backlog_test backlog_legacy_test \
 		frag_test frag_legacy_test \
