=== debian/changelog ===
bpftune (0.0~git20250121.d38eac6-1ubuntu1) plucky; urgency=medium

  * d/control: Change build dep for bpftool on Ubuntu.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 15 Feb 2025 11:36:21 +0000

bpftune (0.0~git20250121.d38eac6-1) unstable; urgency=medium

  * New upstream version 0.0~git20250121.d38eac6
    - Update symbols.
  * find bpftool in Ubuntu.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 14 Feb 2025 19:58:52 +0000
