=== debian/control ===
Source: bpftune
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 python3-docutils,
 libbpf-dev,
 libcap-dev,
 clang,
 llvm,
 linux-tools-generic,
 libnl-3-dev,
 libnl-route-3-dev,
 iperf3
Standards-Version: 4.7.0
Homepage: https://github.com/oracle/bpftune/tree/main
Vcs-Browser: https://salsa.debian.org/debian/bpftune
Vcs-Git: https://salsa.debian.org/debian/bpftune.git

Package: bpftune
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: BPF driven auto-tuning
 bpftune aims to provide lightweight, always-on auto-tuning
 of system behaviour via BPF observability.
 .
 bpftune is a daemon which manages a set of tuners, each tuner
 has an associated set of tunables that it manages.

Package: libbpftune0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Library for auto-tuning of Linux via BPF (shared library)
 bpftune aims to provide lightweight, always-on auto-tuning
 of system behaviour via BPF observability.
 .
 This package contains the shared library.

Package: libbpftune-dev
Section: libdevel
Architecture: any
Depends: libbpftune0 (= ${binary:Version}), ${misc:Depends}
Description: Library for auto-tuning of Linux via BPF (development files)
 bpftune aims to provide lightweight, always-on auto-tuning
 of system behaviour via BPF observability.
 .
 This package is needed to compile programs against libbpftune0.
