=== src/Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 # Boston, MA 021110-1307, USA.
 #
 
+ARCH ?= $(shell uname -m)
 SRCARCH ?= $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ \
 				  -e /arm64/!s/arm.*/arm/ -e s/sa110/arm/ \
 				  -e s/aarch64.*/arm64/ )
@@ -28,7 +29,7 @@
 BPFTOOL ?= bpftool
 BPF_INCLUDE := /usr/include
 BPF_LOCAL_INCLUDE := /usr/local/include
-BPF_CFLAGS := -g -fno-stack-protector -Wall
+BPF_CFLAGS := -g -fno-stack-protector -Wall -Wno-incompatible-pointer-types-discards-qualifiers
 NL_INCLUDE := /usr/include/libnl3
 INCLUDES := -I../include -I$(BPF_INCLUDE) -I$(BPF_LOCAL_INCLUDE) -I$(NL_INCLUDE) -I../include/uapi
 INSTALL ?= install
@@ -74,6 +75,14 @@
 VMLINUX_BTF_PATHS := /sys/kernel/btf/vmlinux /boot/vmlinux-$(KERNEL_REL)
 VMLINUX_BTF_PATH := $(or $(VMLINUX_BTF),$(firstword			       \
 					  $(wildcard $(VMLINUX_BTF_PATHS))))
+
+# Some systems ship with a vmlinux.h; use it.
+VMLINUX_H_PATH ?= /usr/include/$(ARCH)-linux-gnu/linux/bpf/
+VMLINUX_H_FILE := $(wildcard $(VMLINUX_H_PATH)/vmlinux.h)
+
+ifneq ($(VMLINUX_H_FILE),)
+BPF_CFLAGS += -DVMLINUX_H -I$(VMLINUX_H_PATH)
+endif
 
 OPATH :=
 ifeq ($(SANITIZE),1)
