=== test/Makefile ===
--- 
+++ 
@@ -18,13 +18,13 @@
 #
 
 
-PERF_TESTS = iperf3_test qperf_test
+PERF_TESTS = stress_ng_test iperf3_test qperf_test
 
 TUNER_TESTS =	support_test log_test service_test inotify_test cap_test \
 		sample_test sample_legacy_test \
 		strategy_test strategy_legacy_test \
 		rollback_test rollback_legacy_test \
-		query_test \
+		query_test rate_test \
 		many_netns_test many_netns_legacy_test \
 		podman_globalonly_test podman_globalonly_legacy_test \
 		sysctl_test sysctl_legacy_test sysctl_netns_test \
@@ -37,6 +37,7 @@
 		neigh_table_legacy_test \
 		mem_pressure_test mem_pressure_legacy_test \
 		mem_exhaust_test mem_exhaust_legacy_test \
+		good_syn_flood_test syn_flood_test \
 		wmem_test wmem_legacy_test \
 		rmem_test rmem_legacy_test \
 		cong_test cong_legacy_test
@@ -48,6 +49,8 @@
 LIBS = test_lib.sh
 
 PROGS = conn_bomb
+
+CFLAGS += -lpthread
 
 OBJS = conn_bomb.o
