=== debian/changelog ===
bpftune (0.0~git20250314.8fd59cc-1) unstable; urgency=medium

  [ Bernd Zeimetz ]
  ** SNAPSHOT build @126642eb27cb81198d95974b3942478f7b2fd457 **

  * [c668e88] New upstream version 0.0~git20250312.6de24b9
  * Snapshot changelog

  [ Sudip Mukherjee ]
  * New upstream version 0.0~git20250314.8fd59cc
    - Update symbols.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 17 Mar 2025 17:29:23 +0000
