=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: bpftune
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -11,7 +10,7 @@
  libcap-dev,
  clang,
  llvm,
- linux-tools-generic,
+ bpftool,
  libnl-3-dev,
  libnl-route-3-dev,
  iperf3
