## bpftune 0.0~git20250723.5966387

=== Makefile ===
--- 
+++ 
@@ -71,7 +71,7 @@
 testclean:
 	cd test; make clean
 
-install: srcinstall includeinstall docinstall
+install: srcinstall includeinstall docinstall pcpinstall
 	
 srcinstall:
 	cd src; make install
@@ -79,3 +79,5 @@
 	cd include; make install
 docinstall:
 	cd docs; make install
+pcpinstall:
+	cd src/pcp; make install
