=== docs/Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 
 MAN8_RST = bpftune.rst bpftune-sysctl.rst bpftune-tcp-conn.rst \
 	   bpftune-neigh.rst bpftune-tcp-buffer.rst bpftune-netns.rst \
-	   bpftune-net-buffer.rst bpftune-ip-frag.rst
+	   bpftune-net-buffer.rst bpftune-ip-frag.rst bpftune-udp-buffer.rst
 
 _DOC_MAN8 = $(patsubst %.rst,%.8,$(MAN8_RST))
 DOC_MAN8 = $(addprefix $(OUTPUT),$(_DOC_MAN8))
