=== src/Makefile ===
--- 
+++ 
@@ -56,7 +56,7 @@
 BPFTUNE_VERSION := $(KERNEL_REL)-$(GIT_SHA)
 endif
 
-VERSION = 0.1.3
+VERSION = 0.2.1
 VERSION_SCRIPT  := libbpftune.map
 
 CFLAGS = -fPIC -Wall -Wextra -g -I../include -std=c99
@@ -99,7 +99,8 @@
 endif
 
 TUNERS = tcp_buffer_tuner route_table_tuner neigh_table_tuner sysctl_tuner \
-	 tcp_conn_tuner netns_tuner net_buffer_tuner ip_frag_tuner
+	 tcp_conn_tuner netns_tuner net_buffer_tuner ip_frag_tuner \
+	 udp_buffer_tuner
 
 TUNER_OBJS = $(patsubst %,%.o,$(TUNERS))
 TUNER_SRCS = $(patsubst %,%.c,$(TUNERS))
@@ -155,6 +156,10 @@
 	$(INSTALL) $(TUNER_LIBS) $(INSTALLPATH)/$(libdir)/bpftune
 	$(INSTALL) -m 0755 -d $(CONF)
 	$(INSTALL) -m 0755 -d $(CONFPATH)
+	$(INSTALL) -m 0755 -d $(CONF)/conf.d
+	$(INSTALL) -m 0755 -d $(CONF)/init.d
+	$(INSTALL) -m 0644 bpftune.confd $(CONF)/conf.d/bpftune
+	$(INSTALL) -m 0755 bpftune.initd $(CONF)/init.d/bpftune
 	echo $(prefix)/$(libdir) > $(CONFPATH)/libbpftune.conf
 	if [ $(DESTDIR) =  / ]; then ldconfig; fi
