=== test/Makefile ===
--- 
+++ 
@@ -25,11 +25,14 @@
 		strategy_test strategy_legacy_test \
 		rollback_test rollback_legacy_test \
 		query_test rate_test \
+		pcp_pmda_test \
 		many_netns_test many_netns_legacy_test \
 		podman_globalonly_test podman_globalonly_legacy_test \
 		sysctl_test sysctl_legacy_test sysctl_netns_test \
 		netns_test netns_legacy_test \
 		file_download_test file_download_legacy_test \
+		udp_rmem_test udp_rmem_legacy_test \
+		udp_rmem_locked_test udp_mem_exhaust_test \
 		budget_test \
 		backlog_test backlog_legacy_test \
 		frag_test frag_legacy_test \
