=== test/strategy/Makefile ===
--- 
+++ 
@@ -106,7 +106,7 @@
 
 else
 GCC_BPF_FLAGS := -g -O2 \
-	$(BPF_CFLAGS) -D__TARGET_ARCH_$(SRCARCH) \
+	$(BPF_CFLAGS) -std=gnu17 -D__TARGET_ARCH_$(SRCARCH) \
 	-gbtf -mcpu=v3 -Wno-error=attributes \
 	-Wno-error=address-of-packed-member \
 	-Wno-compare-distinct-pointer-types \
