=== debian/changelog ===
bpftune (0.0~git20250723.5966387-1) unstable; urgency=medium

  * New upstream version 0.0~git20250723.5966387
    - Update lintian overrides.
    - Update symbols.
  * Update Standards-Version to 4.7.2
  * Add new package for pcp-pmda-bpftune.
    - Add new lintian overrides for pcp interpreter.
    - Fix permission of README.
  * Remove old fsf address from d/copyright.
  * Update copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 01 Sep 2025 19:04:08 +0100
