=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libnl-3-dev,
  libnl-route-3-dev,
  iperf3
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/oracle/bpftune/tree/main
 Vcs-Browser: https://salsa.debian.org/debian/bpftune
 Vcs-Git: https://salsa.debian.org/debian/bpftune.git
@@ -51,3 +51,15 @@
  of system behaviour via BPF observability.
  .
  This package is needed to compile programs against libbpftune0.
+
+Package: pcp-pmda-bpftune
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ bpftune (= ${binary:Version}),
+ pcp,
+ python3-pcp
+Description: Performance Co-Pilot PMDA for bpftune
+ pcp-pmda-bpftune exports tunables and metrics from bpftune
+ to Performance Co-Pilot (PCP)
