=== debian/rules ===
--- 
+++ 
@@ -35,3 +35,7 @@
 	for sopath in $$(find debian -name 'libbpftune.so'); do \
 		ln -sf $$(basename $$sopath.*) $$sopath ; \
 	done
+
+override_dh_fixperms:
+	dh_fixperms
+	chmod 0644 debian/pcp-pmda-bpftune/var/lib/pcp/pmdas/bpftune/README
