=== debian/watch ===
version=4

opts="mode=git" \
    https://github.com/oracle/bpftune.git HEAD
