## bpftune 0.0~git20251206.4bcc284

=== src/Makefile ===
--- 
+++ 
@@ -56,7 +56,7 @@
 BPFTUNE_VERSION := $(KERNEL_REL)-$(GIT_SHA)
 endif
 
-VERSION = 0.2.1
+VERSION = 0.3.2
 VERSION_SCRIPT  := libbpftune.map
 
 CFLAGS = -fPIC -Wall -Wextra -g -I../include -std=c99
@@ -173,8 +173,7 @@
 			-shared -o $(@).$(VERSION) \
 			$(patsubst %.so,%.o,$(@)) \
 			$(LDLIBS) $(LDFLAGS) ; \
-	rm -f $(@) ; \
-	ln -sr $(@).$(VERSION) $(@)
+	ln -fsr $(@).$(VERSION) $(@)
 
 $(TUNER_OBJS): $(BPF_SKELS) $(LEGACY_BPF_SKELS) $(NOBTF_BPF_SKELS)
