=== debian/changelog ===
bpftune (0.0~git20251206.4bcc284-1) unstable; urgency=medium

  * New upstream version 0.0~git20251206.4bcc284
    - Update symbols.
    - Update lintian override.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 07 Dec 2025 17:01:52 +0000
